Bug 521316 - Use the new checksum class for rhn-pkgupload
Summary: Use the new checksum class for rhn-pkgupload
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: RHN Stable
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard: Rally US37, Rally US156
Depends On:
Blocks: 519193 rhn-sprint31
TreeView+ depends on / blocked
 
Reported: 2009-09-04 18:15 UTC by James Bowes
Modified: 2013-01-10 10:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 12:48:48 UTC


Attachments (Terms of Use)

Description James Bowes 2009-09-04 18:15:30 UTC
rhn-pkgupload doesn't put any entries into the database (that's done later via the bugzilla handler), but it should use the new checksum handling code.

This bug is simply a regression test of rhn-pkgupload, to verify that:
* uploading a package that already exists is recognized as such
* uploading a new package works
* uploading an existing package with a mismatched checksum is recognized as such.


Note You need to log in before you can comment on or make changes to this bug.